package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

public class MercMiniDeviceDto {

    @Data
    @Accessors(chain = true)
    public static class Active {

        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;
    }

    @Data
    @Accessors(chain = true)
    public static class BusySate {

        @NotNull(message = "设备运营状态不能为空")
        @ApiModelProperty("设备运营状态 1 运营中 2 已停运")
        private Integer busyState;
        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;
    }

    @Data
    @Accessors(chain = true)
    public static class HomePageVO {

        @Valid
        @ApiModelProperty(value = "今日数据")
        private DayCountVO day;

        @Valid
        @ApiModelProperty(value = "本月数据")
        private MonthCountVO month;

    }

    @Data
    @Accessors(chain = true)
    public static class DayCountVO {

        @ApiModelProperty("订单数")
        private Integer orderNum;

        @ApiModelProperty("销售额")
        private Integer salesPrice;

        @ApiModelProperty("退款金额")
        private Integer refundMoney;

    }

    @Data
    @Accessors(chain = true)
    public static class MonthCountVO {

        @ApiModelProperty("订单数")
        private Integer orderNum;

        @ApiModelProperty("销售额")
        private Integer salesPrice;

        @ApiModelProperty("退款金额")
        private Integer refundMoney;

    }


}
